### Method

# Camel Session forward_to

since: 3.6

#### Declaration [src]

    void
    camel_session_forward_to (
      CamelSession* session,
      CamelFolder* folder,
      CamelMimeMessage* message,
      const gchar* address,
      gint io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously forwards `message` in `folder` to the email address(s) given by `address`.

When the operation is finished, `callback` will be called. You can then call `camel_session_forward_to_finish()` to get the result of the operation.

Available since: 3.6

This method completes asynchronously. Use `camel_session_forward_to_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`folder`

  Type: `CamelFolder`

  The `CamelFolder` where `message` is located.

  The data is owned by the caller of the method.

`message`

  Type: `CamelMimeMessage`

  The `CamelMimeMessage` to forward.

  The data is owned by the caller of the method.

`address`

  Type: `const gchar*`

  The recipient’s email address.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`io_priority`

  Type: `gint`

  The I/O priority for the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.